Skip to main content
POST
/
api
/
entry-point
/
{version}
/
offer
Enrol a customer in an offer
curl --request POST \
  --url https://mention-me.com/api/entry-point/{version}/offer \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer": {
    "emailAddress": "jane.doe@example.com",
    "firstname": "",
    "surname": "",
    "title": "",
    "uniqueIdentifier": "",
    "segment": "",
    "customField": "",
    "visitorId": ""
  },
  "request": {
    "partnerCode": "[YOUR-PARTNER-CODE]",
    "situation": "mobile-app",
    "localeCode": "en_GB",
    "segment": "vip",
    "ipAddress": "127.0.0.1",
    "userDeviceIdentifier": "",
    "deviceType": "",
    "appName": "",
    "appVersion": "e.g. MyApp/v1.73",
    "variation": ""
  },
  "address": {
    "addressLine1": "",
    "addressLine2": "",
    "addressCity": "",
    "addressCounty": "",
    "addressPostCode": "",
    "addressCountry": ""
  },
  "implementation": {
    "wrapContentWithBranding": true,
    "showCloseIcon": false
  }
}
'
{
  "url": "<string>",
  "defaultCallToAction": "",
  "localeCode": "<string>",
  "headline": "<string>",
  "description": "<string>",
  "privacyNotice": "<string>",
  "privacyNoticeUrl": "<string>",
  "privacyNoticeLinkText": "<string>",
  "imageUrl": "<string>",
  "offerCode": "<string>",
  "termsAndConditionsUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
enum<string>
required

Version

Available options:
v2,
v1
Pattern: v2|v1

Body

application/json

Information to retrieve an offer entry point URL

customer
Customer · object
required

Information about the referrer

request
Request · object
required

Information about the request

order
Order · object

Information about the order (used for recording order events AND segmentation)

address
Address · object

Information about the address of the customer

implementation
Implementation · object

Options for the implementation

Response

Returned when successful

url
string
defaultCallToAction
string
default:""
localeCode
string
headline
string

e.g. "You can get a £20 gift card if you refer a friend to ..."

description
string

e.g. "Give your friends a 20% off introductory offer"

privacyNotice
string

e.g. "Our refer-a-friend programme is managed by Mention Me who will process your data and send you referral service emails."

privacyNoticeUrl
string
imageUrl
string
offerCode
string
termsAndConditionsUrl
string
Last modified on March 31, 2026